Subject: Re: bug#36633: Scrolling by pixels: visible stretch glyphs overwrite header-line.

From: Keith David Bershatsky <[email-masked]>
Date: Sun, 14 Jul 2019 09:47:25 -0700

Here are links to two (2) youtube videos showing the issue on Emacs 26.1 (built by https://emacsformacosx.com/ a few months ago) and also the master branch that I built using a commit from 07/10/2019 (40cd6278ba965f3a9fcdddc568eb9ee7c69cf899).  I don't have a 26.2 build at the moment.  The issue is less noticeable on the master branch, but can still be seen nevertheless.  I have not studied the code as to what makes this feature work, but offhand would think that the header-line should not be overwritten by the row moving upwards (rather than updated after it has been overwritten).

Emacs 26.1:  https://youtu.be/Y8cZfURSwZc

Emacs Master Branch:  https://youtu.be/BO3r9_6OvYo

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

> Date: [07-14-2019 03:39:35] <14 Jul 2019 11:39:35 +0100>
> From: Alan Third <[email-masked]>
> 
> * * *
> 
> Hi Keith, I can't replicate this behaviour. The worst I see is some
> flickering of the header line, which is unfortunately to be expected
> from the current implementation.
> 
> When you do it is the header line being overwritten and not immediately updated?
> --
> Alan Third